Folks.PersonaStore.remove_persona – folks Reference Manual

# remove_persona

## Description:

public abstract async void remove_persona (Persona persona) throws PersonaStoreError

Remove a Persona from the PersonaStore.

It isn't guaranteed that the Persona will actually be removed by the time this asynchronous function finishes. The successful removal of the Persona will be signalled through emission of PersonaStore.personas_changed.

If the store is offline (or PersonaStore.prepare hasn't yet been called successfully), this function will throw PersonaStoreError.STORE_OFFLINE. It's the responsibility of the caller to cache details and re-try this function if it wishes to make offline removals work.

## Parameters:

persona | the Persona to remove

## Exceptions:

PersonaStoreError | if removing the persona failed

## Since:

0.1.11